import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-dashboard-reporting',
  templateUrl: './dashboard-reporting.component.html',
  styleUrls: ['./dashboard-reporting.component.scss']
})
export class DashboardReportingComponent implements OnInit {
  
  public autoRefresh = false;

  constructor() { }

  ngOnInit(): void {
  }

  toggleAutoRefresh(): void {
    this.autoRefresh = !this.autoRefresh;
  }

  refreshReportingData(): void {
    console.log('Actualisation des données reporting');
  }

  getCurrentTime(): Date {
    return new Date();
  }
}